/dev/blog/ID10T

Ubuntu: Full Youtube HTML5 Player support for Firefox

• linux and firefox • Comments
Advertisement

Problem: Firefox on Ubuntu doesn’t support the whole spectrum of HTML5 features Youtube provides.

Youtube HTML5 unsupported Features

Solution:

Switching the following about:config Settings to true:

media.mediasource.webm.enabled
media.mediasource.enabled
media.fragmented-mp4.exposed
media.fragmented-mp4.ffmpeg.enabled
media.fragmented-mp4.gmp.enabled
Advertisement

Result:

Youtube is satisfied:

Youtube HTML5 all supported

I found a lot of tipps to install ubuntu-restricted-extras or x264, but I have yet to run into any errors without having those packages installed. These instructions were tested on a couple of my systems running Firefox 42 and either Ubuntu 14.04 (Trusty Tahr) or Ubuntu 15.10 (Wily Werewolf), so this might not work in earlier versions of Ubuntu or might not be needed in later Firefox versions. I found it also worked in Windows 7, but didn’t thoroughly test that.

Advertisement
More posts
comments powered by isso

Advertisement